## dbus 1.8.0

=== debian/changelog ===
dbus (1.8.0-1) unstable; urgency=low

  * New upstream stable release
    - add debian/copyright stanzas for some new BSD-licensed cmake macros

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Jan 2014 15:05:53 +0000

dbus (1.7.10-2) unstable; urgency=low

  * Conditionalize libaudit and libcap-ng build-dependencies to [linux-any]
  * Explicitly enable libaudit, SELinux and systemd on Linux;
    do not enable them elsewhere

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Jan 2014 12:12:15 +0000

dbus (1.7.10-1) unstable; urgency=low

  * Merge from experimental into unstable
  * New upstream release 1.7.10 (1.8 rc1)
  * Generate debian/dbus.install from a generic part and a Linux-specific
    part, since systemd metadata doesn't get installed on non-Linux any more

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Jan 2014 19:43:36 +0000

dbus (1.7.8-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/rules: Re-add udeb_configure_flags that were lost during merge
    (Closes: #727774)

  [ Simon McVittie ]
  * Standards-Version: 3.9.5 (no changes needed)
  * Enable libaudit support so messages that violate SELinux policy go to the
    audit log (Closes: #727771)
  * New upstream release
    - add new dependency on libsystemd-journal-dev for linux-any

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Oct 2013 13:07:02 +0000

dbus (1.7.6-2) experimental; urgency=low

  * debian/rules: FTBFS if new symbols or libraries are added
    without updating the symbols file
  * debian/copyright: list copyright holders and minor licenses
    (Closes: #726000)
  * Merge packaging changes from unstable:
    - Run `update-rc.d dbus defaults` instead of deprecated
      `update-rc.d dbus start ...` (Closes: #725923)
    - Add udeb packages, so the graphical installer can use AT-SPI
      (Closes: #723952)
    - Standards-Version: 3.9.4 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Oct 2013 16:30:55 +0100

dbus (1.7.6-1) experimental; urgency=low

  * Standards-Version: 3.9.4 (no changes needed)
  * New upstream development release
    - update symbols

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Oct 2013 16:44:43 +0100

dbus (1.7.4-1) experimental; urgency=low

  * New upstream development release
    - CVE-2013-2168: avoid a user-triggerable crash (denial of services)
      in system services that use libdbus

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Jun 2013 19:53:00 +0100

dbus (1.7.2-1) experimental; urgency=low

  * New upstream development release
  * Do the debug build --with-valgrind on mipsel, too

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Apr 2013 13:46:10 +0100

dbus (1.7.0-1) experimental; urgency=low

  * Branch for experimental
  * New upstream development release
  * On architectures where it's currently supported, do the
    debug build with --with-valgrind for better instrumentation
  * debian/rules: factor out production and debug configure flags
  * Add support for DEB_BUILD_OPTIONS=nodocs, which omits most documentation
    (allowing doxygen and xmlto to be avoided) and the dbus-1-doc package
  * Add support for DEB_BUILD_PROFILE=stage1, which does the same as nodocs
    and additionally makes the debug build not insist on building all tests
  * Make the development and debugging packages Multi-Arch: same,
    since their arch-dependent files are all arch-segregated
    (/usr/lib/TUPLE) or named according to a build-ID (/usr/lib/debug)
    (Closes: #689071). This is not actually useful until pkg-config
    becomes M-A: foreign (#631275).

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Feb 2013 15:20:10 +0000

dbus (1.6.18-2) unstable; urgency=medium

  * Disable valgrind integration in the debug build on armel,
    since valgrind no longer supports armel (Closes: #729136)

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Dec 2013 10:22:39 +0000

dbus (1.6.18-1) unstable; urgency=low

  * Run `update-rc.d dbus defaults` instead of deprecated
    `update-rc.d dbus start ...` (Closes: #725923)
  * debian/rules: FTBFS if new symbols or libraries are added
    without updating the symbols file
  * debian/copyright: list copyright holders and minor licenses
    (Closes: #726000)
  * New upstream release 1.6.18
  * Standards-Version: 3.9.5 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Nov 2013 16:30:33 +0000

dbus (1.6.16-1) unstable; urgency=low

  * New upstream stable release 1.6.16
  * Backport the new dbus-run-session tool from D-Bus 1.7
  * Add udeb packages, so the graphical installer can use AT-SPI
    (Closes: #723952)
  * Standards-Version: 3.9.4 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Oct 2013 16:44:21 +0100

dbus (1.6.14-1) unstable; urgency=low

  * New upstream stable release 1.6.14
    - fixes an infinite busy-loop if waitpid() is interrupted by a signal
      while spawning a subprocess (Closes: #721932)

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Sep 2013 16:42:55 +0100

dbus (1.6.12-1) unstable; urgency=high

  * New upstream stable release 1.6.12
    - CVE-2013-2168: avoid a user-triggerable crash (denial of services)
      in system services that use libdbus

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Jun 2013 14:38:34 +0100

dbus (1.6.10-1) unstable; urgency=low

  * New upstream stable release 1.6.10
  * Merge everything except the upstream development release from experimental:
    - On architectures where it's currently supported, do the
      debug build with --with-valgrind for better instrumentation
    - debian/rules: factor out production and debug configure flags
    - Add support for DEB_BUILD_OPTIONS=nodocs, which omits most documentation
      (allowing doxygen and xmlto to be avoided) and the dbus-1-doc package
    - Add support for DEB_BUILD_PROFILE=stage1, which does the same as nodocs
      and additionally makes the debug build not insist on building all tests
    - Make the development and debugging packages Multi-Arch: same,

