## dbus 1.8.12

=== debian/changelog ===
dbus (1.8.12-3) unstable; urgency=medium

  * preinst: partially revert change from 1.8.12-2. It seems that the
    preinst is too late to add a useful dpkg-statoverride entry: dpkg has
    already loaded the statoverride database by this point, and if we add
    the entry in the preinst, dpkg-statoverride won't run and have
    its --update side-effect in the postinst. (Closes: #773107, #773838)
  * postinst: don't run dpkg-statoverride with 2>/dev/null: in the unlikely
    event that it fails for a reason other than "not overridden" (which
    results in silently exiting 1), we'll want to know about it.

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Dec 2014 21:21:20 +0000

dbus (1.8.12-2) unstable; urgency=medium

  * postinst: use dpkg-statoverride to set the permissions for
    dbus-daemon-launch-helper (expected to be 04754 root:messagebus)
    as suggested in Policy §10.9. This avoids a temporarily broken state
    when an upgraded dbus is unpacked but not yet configured (Closes: #773107)
  * preinst: opportunistically set up the same dpkg-statoverride entry
    if the group already exists, to avoid the same broken state during
    upgrades from older versions without needing Pre-Depends: adduser
  * postrm: delete the dpkg-statoverride entry on purge

 -- Simon McVittie <smcv@debian.org>  Sun, 21 Dec 2014 15:02:22 +0000

dbus (1.8.12-1) unstable; urgency=medium

  * New upstream release 1.8.12
    - increase auth_timeout from 5 seconds back to 30 seconds since it
      appears to cause slow or failed boot on some systems, reverting a
      change in 1.8.8 (Closes: #769069)
    - add a README.Debian to the dbus package documenting how
      sysadmins with hostile local users can get the lower timeout back,
      if their systems are fast enough to boot correctly like that

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Nov 2014 13:46:01 +0000

dbus (1.8.10-1) unstable; urgency=medium

  * New upstream release 1.8.10
    - raise dbus-daemon's file descriptor limit to 65536 to avoid an
      opportunity for denial of service
      (CVE-2014-7824, an incomplete fix for CVE-2014-3636)
  * Start 'dbus-daemon --system' as root under sysvinit (it already
    starts as root under systemd), so it can increase its file
    descriptor limit

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Nov 2014 16:28:22 +0000

dbus (1.8.8-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Build against libsystemd-dev. In systemd v209 the various libraries were
    merged into a single libsystemd library.

  [ Simon McVittie ]
  * debian/dbus.bug-control: when people report bugs against dbus,
    also report the status of systemd and systemd-sysv (because
    those alter how system service activation works), and dbus-x11
    (because that's responsible for normal session bus setup)
  * Remove Build-Profiles control field until the syntax settles down
    (Closes: #764222)
  * Use --with-valgrind=auto (supported since 1.7.6) for the debug build

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Oct 2014 19:17:04 +0100
