## dbus 1.8.16

=== debian/changelog ===
dbus (1.8.16-1) unstable; urgency=high

  * New upstream release fixes a local denial of service
    when using systemd activation (CVE-2015-0245)

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2015 20:14:46 +0000

dbus (1.8.14-2) unstable; urgency=high

  * Relax the triggers from interest to interest-noawait (Closes: #771989;
    mitigates: #776063; partially reopens: #740139).

    This is not strictly correct, because the purpose of the triggers
    is to set up the .conf, .service files for system services before those
    services satisfy dependencies. However, it mitigates #776063
    (apt getting into a stuck state during upgrades), and should in
    principle be redundant anyway, because dbus-daemon is meant to use
    inotify to keep up with configuration changes. See #771989, #776063
    for details.

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Feb 2015 17:28:12 +0000

dbus (1.8.14-1) unstable; urgency=medium

  * New upstream release to harden dbus-daemon against packages that install
    unsafe security policy configurations.

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Jan 2015 13:07:23 +0000
