=== debian/control ===
--- 
+++ 
@@ -11,9 +11,7 @@
 # features:
 #   libaudit-dev
 #   libcap-ng-dev
-#   libsystemd-daemon-dev (circular dependency)
-#   libsystemd-journal-dev (circular dependency)
-#   libsystemd-login-dev (circular dependency)
+#   libsystemd-dev (circular dependency)
 # The following packages can be omitted for bootstrapping, but provide extra
 # debugging support in /usr/lib/*/dbus-1.0/debug-build:
 #   valgrind
@@ -36,9 +34,7 @@
                libdbus-glib-1-dev,
                libglib2.0-dev,
                libselinux1-dev [linux-any],
-               libsystemd-daemon-dev (>= 32) [linux-any],
-               libsystemd-journal-dev (>= 32) [linux-any],
-               libsystemd-login-dev (>= 32) [linux-any],
+               libsystemd-dev (>= 209) [linux-any],
                libx11-dev,
                python (>= 2.6),
                python-dbus,
@@ -50,9 +46,11 @@
 Vcs-Git: git://anonscm.debian.org/pkg-utopia/dbus.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/dbus.git
 Homepage: http://dbus.freedesktop.org/
+XS-Testsuite: autopkgtest
 
 Package: dbus
 Architecture: any
+Priority: standard
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          adduser,
