=== debian/rules ===
--- 
+++ 
@@ -26,9 +26,10 @@
 		--libexecdir=\$${prefix}/lib/dbus-1.0 \
 		$(NULL)
 
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILE)),)
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 # Non-bootstrap build on Linux: add Linux-specifics
+with_systemd = yes
 common_configure_flags += \
 		--enable-libaudit \
 		--enable-selinux \
@@ -48,6 +49,7 @@
 	--enable-asserts \
 	--enable-checks \
 	--enable-verbose-mode \
+	--with-valgrind=auto \
 	--prefix=/usr/lib/$(DEB_HOST_MULTIARCH)/dbus-1.0/debug-build \
 	--libdir='$${prefix}/lib' \
 	$(NULL)
@@ -66,7 +68,7 @@
 	CFLAGS='$(CFLAGS) -Os' \
 	$(NULL)
 
-ifeq ($(filter nodocs,$(DEB_BUILD_OPTIONS))$(filter stage1,$(DEB_BUILD_PROFILE)),)
+ifeq ($(filter nodocs,$(DEB_BUILD_OPTIONS))$(filter stage1,$(DEB_BUILD_PROFILES)),)
 # documentation enabled
 normal_configure_flags += \
 	--enable-xml-docs \
@@ -82,27 +84,17 @@
 	$(NULL)
 endif
 
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILE)),)
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 # not a stage1 build - build all the tests
 debug_configure_flags += \
 		--enable-tests \
 		$(NULL)
 endif
 
-# libdbus doesn't have --with-valgrind=auto yet. We want to enable it
-# on those architectures where it exists, while only having to modify
-# debian/control when it works on more architectures.
-#
-# We could use --with-valgrind=auto if someone reviewed the patch on
-# <https://bugs.freedesktop.org/show_bug.cgi?id=56925>.
-ifeq (yes,$(shell if pkg-config --exists valgrind; then echo yes; fi))
-debug_configure_flags += --with-valgrind
-endif
-
 override_dh_auto_configure:
 	cp debian/dbus.install-generic debian/dbus.install
-	if test -e debian/dbus.install-$(DEB_HOST_ARCH_OS); then \
-		cat debian/dbus.install-$(DEB_HOST_ARCH_OS) >> \
+	if [ -n "$(with_systemd)" ]; then \
+		cat debian/dbus.install-systemd >> \
 			debian/dbus.install; \
 	fi
 	dh_auto_configure \
@@ -128,7 +120,10 @@
 	dh_auto_build --builddirectory=build-debug
 	dh_auto_build --builddirectory=build-udeb
 
-# tests need more environmental setup at the moment
+# The tests need more environmental setup at the moment: they need our
+# home directory, and we can't just set HOME because the nonce-tcp
+# transport uses our "official" HOME according to getpwent(), since its
+# purpose is to prevent one user from impersonating another. (#630152)
 override_dh_auto_test:
 	:
 
@@ -193,3 +188,7 @@
 	rm -f build-debug/test/data/valid-config-files/session.conf
 	rm -f build-debug/test/data/valid-config-files/system.conf
 	rm -f dbus.devhelp
+
+clean:
+	rm -rf debian/tmp-udeb
+	dh $@ $(dh_options)
