## dbus 1.8.20

=== debian/changelog ===
dbus (1.8.20-1+devuan1.1) unstable; urgency=low

  * fix already applied quilt patch

 -- Daniel Reurich <centurion@zephaniah.centurion.net.nz>  Mon, 23 Nov 2015 22:41:07 +1300

dbus (1.8.20-1+devuan1) unstable; urgency=low

  [ Jaromil ]
  * Import from Debian jessie/main package dbus-1.8.12
  * import stamp version 1.8.12
  * obsoleted .devuan stamp

  [ jcnelson ]
  * Whoops:  remove merge conflict metadata

  [ nextime ]
  * Removing systemd

  [ Jude Nelson ]
  * Disable fatal warnings
  * Whitespacing, to keep debuild happy

  [ Daniel Reurich ]
  * Merge debian upstream 1.8.20-1

 -- Daniel Reurich <centurion@zephaniah.centurion.net.nz>  Sat, 24 Oct 2015 08:31:18 +1300

dbus (1.8.20-1) unstable; urgency=medium

  * New upstream bugfix release
    - fix a memory leak when GetConnectionCredentials is called
    - stop dbus-monitor replying to org.freedesktop.DBus.Peer
      messages, including those that another process should have
      replied to

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Jul 2015 17:59:42 +0100

dbus (1.8.18-1) unstable; urgency=medium

  * New upstream bugfix release
    - Hardening: lock down the session bus to only allow EXTERNAL auth by
      default, the same as the system bus. This avoids allowing
      DBUS_COOKIE_SHA1, which can end up using a predictable random source
      on systems where /dev/urandom is unavailable or dbus-daemon runs out
      of memory. See the upstream NEWS for more details.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 May 2015 13:59:55 +0100

dbus (1.8.16-2) unstable; urgency=medium

  * Merge packaging changes (but not the new upstream branch) from
    experimental:
    - Move Vcs-Git to cgit; go via https, because we can
    - Standards-Version: 3.9.6 (no changes needed)
    - Remove debian/source/local-options, no longer necessary (dpkg-source
      now unapplies patches after the build if they were unapplied before)
    - Configure gbp-pq to export patches without patch numbers, and
      re-export our long-standing Debian patch in that format
    - dbus-x11: use dbus-x11.install for the Xsession hook
    - If DEB_BUILD_OPTIONS=noudeb, don't do the udeb build, for a 30% speedup
    - Change the check for requiring a reboot to be init-system-agnostic
      so Ubuntu can stop patching it (partially addresses #712167)
  * Security hardening: build position-independent executables
    for better ASLR
  * Security hardening: build with bindnow, so relro (which is
    already on by default) can make the entire PLT read-only
  * Transcode debian/rules from Latin-1 to UTF-8
  * Reproducible build: remove dates from man pages using sed
  * Reproducible build: patch Doxyfile.in to not include timestamps
    in HTML documentation

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2015 09:28:19 +0100

dbus (1.8.16-1+devuan1) unstable; urgency=medium

  * debian/*: systemd extirpation.

 -- Denis Roio <jaromil@dyne.org>  Sat, 14 Feb 2015 17:36:21 +0000
