=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
 Source: dbus
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
-Uploaders: Sjoerd Simons <sjoerd@debian.org>,
-           Sebastian Dröge <slomo@debian.org>,
-           Michael Biebl <biebl@debian.org>,
-           Loic Minier <lool@dooz.org>,
-           Simon McVittie <smcv@debian.org>
+Maintainer: Jude Nelson <judecn@devuan.org>
+Uploaders: Denis Roio <jaromil@dyne.org>
 # The following packages can be omitted for bootstrapping, but provide extra
 # features:
 #   libaudit-dev
@@ -34,7 +30,6 @@
                libdbus-glib-1-dev,
                libglib2.0-dev,
                libselinux1-dev [linux-any],
-               libsystemd-dev (>= 209) [linux-any],
                libx11-dev,
                python (>= 2.6),
                python-dbus,
@@ -42,9 +37,9 @@
                valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
                xmlto,
                xsltproc
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-utopia/dbus.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/dbus.git
+Standards-Version: 3.9.6
+Vcs-Git: https://git.devuan.org/packages-base/dbus.git
+Vcs-Browser: https://git.devuan.org/packages-base/dbus
 Homepage: http://dbus.freedesktop.org/
 XS-Testsuite: autopkgtest
