=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
-# Copyright  2002,2003 Colin Walters <walters@verbum.org>
-# Copyright  2003 Daniel Stone <daniels@debian.org>
-# Copyright  2006 Sjoerd Simons <sjoerd@debian.org>
-# Copyright  2011 Michael Biebl <biebl@debian.org>
+# Copyright © 2002,2003 Colin Walters <walters@verbum.org>
+# Copyright © 2003 Daniel Stone <daniels@debian.org>
+# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
+# Copyright © 2011 Michael Biebl <biebl@debian.org>
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow
 
 include /usr/share/dpkg/default.mk
 
@@ -20,6 +22,12 @@
 	--parallel \
 	$(NULL)
 
+ifeq ($(filter noudeb,$(DEB_BUILD_OPTIONS)),)
+# keep the udeb
+else
+dh_options += -Ndbus-udeb -N$(libdbusN)-udeb
+endif
+
 common_configure_flags := \
 		--disable-silent-rules \
 		--enable-installed-tests \
@@ -29,12 +37,10 @@
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 # Non-bootstrap build on Linux: add Linux-specifics
-with_systemd = yes
+#with_systemd = yes
 common_configure_flags += \
 		--enable-libaudit \
 		--enable-selinux \
-		--enable-systemd \
-		--with-systemdsystemunitdir=/lib/systemd/system \
 		$(NULL)
 endif
 endif
@@ -108,17 +114,21 @@
 		$(common_configure_flags) \
 		$(debug_configure_flags) \
 		$(NULL)
+ifeq ($(filter noudeb,$(DEB_BUILD_OPTIONS)),)
 	dh_auto_configure \
 		--builddirectory=build-udeb \
 		-- \
 		$(common_configure_flags) \
 		$(udeb_configure_flags) \
 		$(NULL)
+endif
 
 override_dh_auto_build:
 	dh_auto_build
 	dh_auto_build --builddirectory=build-debug
+ifeq ($(filter noudeb,$(DEB_BUILD_OPTIONS)),)
 	dh_auto_build --builddirectory=build-udeb
+endif
 
 # The tests need more environmental setup at the moment: they need our
 # home directory, and we can't just set HOME because the nonce-tcp
@@ -130,7 +140,16 @@
 override_dh_auto_install:
 	dh_auto_install
 	make -C build-debug install-exec DESTDIR=$(CURDIR)/debian/tmp
+ifeq ($(filter noudeb,$(DEB_BUILD_OPTIONS)),)
 	make -C build-udeb install-exec DESTDIR=$(CURDIR)/debian/tmp-udeb
+endif
+ifeq ($(filter nodocs,$(DEB_BUILD_OPTIONS))$(filter stage1,$(DEB_BUILD_PROFILES)),)
+	# Reproducible build: sed out the generated dates from the man pages.
+	sed -i \
+		-e '/^\.\\\" *Date: .*/d' \
+		-e 's/^\(.TH "[^"]*" "[^"]*" \)"[^"]*"/\1""/' \
+		debian/tmp/usr/share/man/man?/*
+endif
 
 override_dh_link:
 	dh_link -plibdbus-1-dev lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.so)) usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.so
@@ -152,7 +171,6 @@
 		"usr/lib/$(DEB_HOST_MULTIARCH)/$(libdbus_soname)*" \
 		lib/$(DEB_HOST_MULTIARCH)
 	dh_install --remaining-packages --list-missing $(dh_install_options)
-	install -m 644 -D debian/dbus-Xsession debian/dbus-x11/etc/X11/Xsession.d/75dbus_dbus-launch
 
 override_dh_installinit:
 	dh_installinit -pdbus -r
