## dbus 1.8.22

=== debian/changelog ===
dbus (1.8.22-0+deb8u5) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Fix several denial of service issues where an authenticated attacker
    can crash the system bus by sending crafted messages
    (CVE-2022-42010, CVE-2022-42011, CVE-2022-42012)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 10 Oct 2022 13:24:05 +0200

dbus (1.8.22-0+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * CVE-2020-35512
    Fix for a user-after-free that could have happened on a system having
    multiple usernames sharing the same UID.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 27 Jan 2021 19:05:02 +0100

dbus (1.8.22-0+deb8u3) jessie-security; urgency=high

  * CVE-2020-12049: Prevent a file descriptor leak which can lead to denial of
    service when the program runs out of file descriptors. An unprivileged
    local attacker could use this to attack the system DBus daemon, leading to
    denial of service for all users of the machine.

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Jun 2020 16:23:29 +0100

dbus (1.8.22-0+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-12749: DBusServer DBUS_COOKIE_SHA1 authentication bypass.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 14 Jun 2019 10:00:13 +0200

dbus (1.8.22-0+deb8u1) jessie; urgency=medium

  * New upstream bugfix release
    - fix a potential format string vulnerability, which is not believed
      to be exploitable in practice
  * dbus.prerm: ensure that dbus.socket is stopped before removal,
    so that a new connection to the bus won't cause dbus.service to be
    restarted (Closes: #813970)

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Oct 2016 11:42:50 +0100

dbus (1.8.20-0+deb8u1) jessie; urgency=medium

  * New upstream bugfix release
    - fix a memory leak when GetConnectionCredentials is called
    - stop dbus-monitor replying to org.freedesktop.DBus.Peer
      messages, including those that another process should have
      replied to

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Jul 2015 17:59:42 +0100
